﻿<%@ Page Title="" Language="vb" AutoEventWireup="false" CodeBehind="default.aspx.vb" Inherits="WJAPP._Default" %>

<%="" %>
<% Dim msBuild As String = "068"%>
<% Dim msAppVer As String = msAppVersion + "." + msBuild%>
<% Dim msDevMode As String = u.OverrideBlank(u.GetAppSetting("DevMode"), "false")%>
<% Dim msLoggrMode As String = u.OverrideBlank(u.GetAppSetting("LoggrMode"), "true")%>
<% Dim msCoreVer As String = u.OverrideBlank(Request.QueryString("CoreVer"), u.OverrideBlank(u.GetAppSetting("CoreVer"), "1"))
    If u.OverrideBlank(msCoreVer, 1) > 1 Then
        msCoreVer = "2"
    End If
    If msCoreVer = "1" Then
        msCoreVer = ""
    End If
     %>
<!DOCTYPE html>
<html class="loading">
<head>
    <title>Loading...</title>
    <!--needed to force IE to standards mode on localhost-->
    <meta http-equiv="x-ua-compatible" content="IE=edge">
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="mobile-web-app-capable" content="yes">
    <meta name="robots" content="noindex">
    <link rel="shortcut icon" href="assets/images/favicon.ico" />
    <link rel="apple-touch-icon" href="assets/images/brand.png">
    <style>
        html.loading{
            background: #FFF url(assets/images/brand.png) no-repeat center;
            min-height: 100vh;
            min-width: 100vw;
            margin: 0;
            pointer-events: none;
        }
        html.loading::after {
            border: 10px solid #f3f3f3; /* Light grey */
            border-top: 10px solid #3498db; /* Blue */
            border-radius: 50%;
            width: 60px;
            height: 60px;
            animation: spin 1.5s linear infinite;
            content:'';
            z-index: 999999;
            position: fixed;
            top: 50vh;
            left: 50vw;
            margin-left: -30px;
            margin-top: 105px;
        }
        @keyframes spin {
            0% { transform: rotate(0deg); }
            100% { transform: rotate(360deg); }
        }
        html.loading > #desktop > .desktop{
            pointer-events: none;
            visibility:hidden;
            height:100vh;
            width:100vw
        }
        html.loading > #desktop > header.desktop{
            height:55px;
        }
        html.loading > #desktop > #progress{
            display: none;
        }
    </style>
</head>
<body id="desktop" data-build="<%=msBuild%>" <%=msFlashVars%> data-devmode="<%=msDevMode%>" data-loggr-mode="<%=msLoggrMode%>" data-core-ver="<%=msCoreVer%>">
    <div id="progress"><dt></dt><dd></dd></div>
    <div class="desktop vertical-sizer"></div>
    <div id="dialogContainer" class="desktop dialog-container"></div>
    <header class="desktop">
      <button class="btn-app icon-r img white text logo img-l i-down flip-icon hideGuest hideClientVendor" data-action="menu" data-target="hub"><img class="bind" data-bind-src="@logo" src="common/logo.aspx?logo=hub"><span class="bind" data-bind-text="dp@appName"></span></button>
      <button class="btn-app img white text logo img-l hideUser" data-action="page" data-target="client.dash:::base" ><img class="bind" data-bind-src="@logo" src="common/logo.aspx?logo=hub"><span class="bind" data-bind-text="dp@appName"></span></button>
      <spacer></spacer>

      <% If u.GetAppSetting("AdminSite") = "1" Then %>
        <button class="icon btn-app white i-search hideGuest hideClientVendor" data-action="page" data-target="wjadmin.brain.search:::unique"></button>
        <button class="icon btn-app white i-add hideGuest hideClientVendor" data-action="page" data-target="wjadmin.brain.add"></button>
      <% Else%>
        <button class="icon btn-app white i-bell badge-button hideGuest notification bind" data-bind-count="dp@notifycount" data-action="page" data-target="common.notifications:::unique"></button>
        <button class="icon btn-app white i-search hideGuest hideClientVendor" data-action="page" data-target="common.search:::unique"></button>
        <button class="icon btn-app white i-add hideGuest hideClientVendor" data-action="page" data-target="common.recent:::unique"></button>
      <% End If%>

      <button class="img btn-app white text user img-r hideGuest" data-action="page" data-target="common.mySettings:::unique"><img class="bind" data-bind-src="@avatar" src="common/logo.aspx?logo=avatar"><span class="img-border-overlay"></span><span class="bind" data-bind-text="dp@userName"></span></button>
    </header>
    <section id="pageContainer" class="desktop page-container"></section>

<% If mbDebugMode = True Then%>
    <!--the ext std tp libs-->
    <% If u.GetAppSetting("local") <> Nothing Then%>
    <!--load local-->
    <script type="text/javascript" defer src="local/jquery-3.1.1.js"></script>
    <% Else%>
    <!--load external-->
    <script type="text/javascript" defer src="//ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js" crossorigin="anonymous"></script>
    <% End If%>

    <%If Request.Browser.Browser = "InternetExplorer"  And Request.Browser.MajorVersion = 11 Then %>
    <script type="text/javascript" defer src="core/js/polyfills/PolyfillIE11Std.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/polyfills/PolyfillIE11Ext.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/polyfills/PolyfillAll.js?<%=msAppVer%>"></script>
    <% Else%>
    <script type="text/javascript" defer src="core/js/polyfills/PolyfillAll.js?<%=msAppVer%>"></script>
    <% End If%>

    <!--the robjs package-->
    <script type="text/javascript" defer src="core/js/robjs/PreLoader.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Support.js?<%=msAppVer%>"></script>
    <!--Things thaqt depend on SUPPORT-->
    <script type="text/javascript" defer src="core/js/robjs/JQUtils.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Callbacks.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Loggr.js?<%=msAppVer%>"></script>
    <!--Things thaqt depend on LOGGR-->
    <script type="text/javascript" defer src="core/js/robjs/Device.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Glob.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/IDB.js?<%=msAppVer%>"></script>
    <!--Things thaqt depend on IDB-->
    <script type="text/javascript" defer src="core/js/robjs/Styles.js?<%=msAppVer%>"></script>
    <!--Things thaqt depend on STYLES-->
    <script type="text/javascript" defer src="core/js/robjs/ActivityTracker.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/VMouse.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Keyboard.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Focus.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DOMMoveTracker.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DragDropTouch.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Widget.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Sort.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Grouping.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/HDD.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Rollup.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataProxy.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataItem.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataSource.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/ValidationManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/FilterManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Model.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataBinding.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Remote.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Date.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Utils.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/String.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Math.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Number.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Format.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Enum.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Template.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/CanvasUtils.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/CanvasPath.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/SVGPathUtils.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/SVG.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/System.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Connection.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/View.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Module.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Action.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Page.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Dialog.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Notify.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/ListView.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/SectionHeader.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Menu.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Nav.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Headroom.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DataGrid.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/GridConfig.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Form.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/DateTime.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/FileUploader.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Graphics.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Print.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Timeago.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Canvas.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Sticky.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Button.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Header.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Feedback.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Clipboard.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Reconcile.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Gantt.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Split.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Charts.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Chartist.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/GSEngine.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Dashboard.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Designer.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/Config.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/robjs/PictureViewer.js?<%=msAppVer%>"></script>
    <!--views folder-->
    <script type="text/javascript" defer src="core/js/views/Desktop.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/views/Login.js?<%=msAppVer%>"></script>
    <!--the controls folder-->
    <script type="text/javascript" defer src="core/js/controls/Fieldset.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/Search.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/TextEditor.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/ColorPicker.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/DatePicker.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/TimePicker.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/Lookup.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/DropDown.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/SelectList.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/FinancialDateRange.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/PictureControl.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/controls/TimesheetTimer.js?<%=msAppVer%>"></script>

    <script type="text/javascript" defer src="core/js/robjs/PostLoader.js?<%=msAppVer%>"></script>

    <!--the widget package -->
    <script type="text/javascript" defer src="core/js/widgets/Calendar.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/widgets/PostLoader.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/widgets/PivotTable.js?<%=msAppVer%>"></script>

    <!--the mediaplayer package-->
    <script type="text/javascript" defer src="core/js/mediaplayer/AnnotationTools.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/mediaplayer/AnnotationTypes.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/mediaplayer/AnnotationController.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/mediaplayer/AnnotationPlugin.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/mediaplayer/MediaPlayer.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/mediaplayer/MediaController.js?<%=msAppVer%>"></script>

    <script type="text/javascript" defer src="core/js/mediaplayer/PostLoader.js?<%=msAppVer%>"></script>

    <!--the wj package-->
    <script type="text/javascript" defer src="core/js/controls/CustomFields.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/Strings.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/ReportManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/LookupTypes.js?<%=msAppVer%>"></script>

    <script type="text/javascript" defer src="core/js/ItemRateManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/TaskUserHour.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/TaxManager.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/TimeGrid.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/js/Schedule.js?<%=msAppVer%>"></script>

    <script type="text/javascript" defer src="core/js/PostLoader.js?<%=msAppVer%>"></script>

	<script type="text/javascript" defer src="core/js/GanttPrintFormatter.js?<%=msAppVer%>"></script>

    <% If Request.QueryString("local") <> Nothing Or u.GetAppSetting("local") <> Nothing Then%>
    <!-- load local -->
    <link rel="stylesheet" type="text/css" media="screen" href="local/fonts.css">
    <% Else%>
    <!-- load external -->
    <link rel='preconnect' type="text/html" href='//fonts.gstatic.com' crossorigin>
    <link rel="stylesheet" type="text/css" media="screen" href="//fonts.googleapis.com/css?family=Open+Sans:400,600,700">
    <% End If%>

    <!-- Our structural/theme stuff -->
	<link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.fonts.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.generic.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.desktop.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.headers.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.buttons.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.icons.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.icon-font.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.forms.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.inlinelabels.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.popups.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.listview.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.ctlbar.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.file-upload.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.notification.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.datepicker.css?<%=msAppVer%>">

    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.mediaplayer.css?<%=msAppVer%>">

    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.datagrid.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/cm.calendar.css?<%=msAppVer%>">
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/responsive-desktop.css?<%=msAppVer%>" id="css-r-desktop" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/responsive-mobile.css?<%=msAppVer%>" id="css-r-mobile" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/responsive-touch.css?<%=msAppVer%>" id="css-r-touch" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/theme/responsive-mouse.css?<%=msAppVer%>" id="css-r-mouse" disabled>
<% Else%>
    <script type="text/javascript" defer src="//ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js" crossorigin="anonymous"></script>
    <script type="text/javascript" defer src="core/release/core.min.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/release/widgets.min.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/release/mediaplayer.min.js?<%=msAppVer%>"></script>
    <script type="text/javascript" defer src="core/release/wj.min.js?<%=msAppVer%>"></script>

    <link rel='preconnect' type="text/html" href='//fonts.gstatic.com' crossorigin>
    <link rel="stylesheet" type="text/css" media="screen" href="//fonts.googleapis.com/css?family=Open+Sans:400,600,700">
    <link rel="stylesheet" type="text/css" media="screen" href="core/release/core.min.css?<%=msAppVer%>" />
    <link rel="stylesheet" type="text/css" media="screen" href="core/release/responsive-desktop.min.css?<%=msAppVer%>" id="css-r-desktop" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/release/responsive-mobile.css?<%=msAppVer%>" id="css-r-phone" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/release/responsive-touch.min.css?<%=msAppVer%>" id="css-r-touch" disabled>
    <link rel="stylesheet" type="text/css" media="screen" href="core/release/responsive-mouse.min.css?<%=msAppVer%>" id="css-r-mouse" disabled>
<% End If%>
    <style title="localStyles"></style>

<% If u.GetAppSetting("guidance") <> "none" And Request.QueryString("debug") <> "true" Then%>
    <script type="text/javascript">window._walkmeConfig = { smartLoad: true };</script>
    <% If u.GetAppSetting("walkmetest") = "true" Then%>
        <script type="text/javascript" async src="https://cdn.walkme.com/users/83a9d09a505341ce930a49f296af136c/test/walkme_83a9d09a505341ce930a49f296af136c_https.js"></script>
    <% Else%>
        <script type="text/javascript" async src="https://cdn.walkme.com/users/83a9d09a505341ce930a49f296af136c/walkme_83a9d09a505341ce930a49f296af136c_https.js"></script>
    <% End If%>
<% End If%>
</body>
</html>